Debian Bug report logs - #693263
Please add support for disabling the PIC watchdog on TS-219p II

version graph

Package: qcontrol; Maintainer for qcontrol is Ian Campbell <ijc@hellion.org.uk>; Source for qcontrol is src:qcontrol.

Reported by: Helmut Pozimski <helmut@pozimski.eu>

Date: Wed, 14 Nov 2012 21:21:01 UTC

Severity: serious

Tags: patch

Found in versions qcontrol/0.4.2+svn-r40-1, qcontrol/0.4.2-7

Fixed in versions qcontrol/0.4.2+svn-r40-2, qcontrol/0.4.2-7+wheezy2

Done: Ian Campbell <ijc@hellion.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Wed, 14 Nov 2012 21:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helmut Pozimski <helmut@pozimski.eu>:
New Bug report received and forwarded. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Wed, 14 Nov 2012 21:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Helmut Pozimski <helmut@pozimski.eu>
To: submit@bugs.debian.org
Subject: Please add support for disabling the PIC watchdog on TS-219p II
Date: Wed, 14 Nov 2012 22:12:47 +0100
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: qcontrol
Version: 0.4.2+svn-r40-1
Serverity: wishlist
Tags: patch

Hello,

recently I bought a new Qnap device (TS-219p II, the one with the USB
3.0 ports) and tried to install Debian on it. (also see the thread [1]
on the debian-arm mailing list) The Debian installer couldn't
successfully finish it's job on the device because - as we found out -
the PIC on at least this hardware revision has a watchdog which resets
the device after 5 minutes if enabled.

The solution Qnap used to solve this is simply disabling the PIC
watchdog using their own drivers and a binary called "pic_raw". Since
qcontrol is the solution on Debian used to communicate with the PIC, I
added an option to disable the PIC watchdog.

I don't know if the watchdog also exists or is enabled by default in
other Qnap devices or hardware revisions but it would probably be a
good idea to disable it at boot time for at least this device. Please
find the patch for the added lines of code attached.

[1] http://lists.debian.org/debian-arm/2012/11/threads.html#00013

- --
Helmut Pozimski


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iJwEAQECAAYFAlCkCUoACgkQGPN+zM7FMNFiRgQAp7n+PDaHnh+zZupsTmcPwIyh
0DHlyJ1Uuc84ppFZs1DtbQmfFjRPWwLTbVr7OqM49vqgq8Icj+oEsIk7wPg7F3MU
zCD3yqEeOxTaPKfQD+qEeUNLnacz3ON25LLqF5j3E5MupdwHr3v60XkxBEjkTueA
L/mgjiqHN8TRroEqpIA=
=iPx8
-----END PGP SIGNATURE-----
[qcontrol_ts219_watchdog.diff (text/x-patch, attachment)]

Severity set to 'wishlist' from 'normal' Request was from Helmut Pozimski <helmut@pozimski.eu> to control@bugs.debian.org. (Wed, 14 Nov 2012 21:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Thu, 15 Nov 2012 10:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Thu, 15 Nov 2012 10:00:06 GMT) Full text and rfc822 format available.

Message #12 received at 693263@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Helmut Pozimski <helmut@pozimski.eu>, 693263@bugs.debian.org
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Thu, 15 Nov 2012 09:56:58 +0000
Ian, please wait a bit before applying this patch.  I've asked QNAP to
comment and they are looking into it.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Thu, 15 Nov 2012 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Thu, 15 Nov 2012 10:54:03 GMT) Full text and rfc822 format available.

Message #17 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>, 693263@bugs.debian.org
Cc: Helmut Pozimski <helmut@pozimski.eu>
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Thu, 15 Nov 2012 10:14:45 +0000
On Thu, 2012-11-15 at 09:56 +0000, Martin Michlmayr wrote:
> Ian, please wait a bit before applying this patch.  I've asked QNAP to
> comment and they are looking into it.

Ack. Thanks!

Ian.
-- 
Ian Campbell
Current Noise: Taint - Mass Appeal Sadness (Live)

Life can be so tragic -- you're here today and here tomorrow.




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Thu, 15 Nov 2012 16:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Thu, 15 Nov 2012 16:03:05 GMT) Full text and rfc822 format available.

Message #22 received at 693263@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: 693263@bugs.debian.org, Helmut Pozimski <helmut@pozimski.eu>
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Thu, 15 Nov 2012 16:01:31 +0000
QNAP has confirmed that this is the right command to disable the
watchdog and that it's safe to send 0x67 to the PIC on older devices
(simply nothing will happen).

In addition to Helmut's patch (thanks!), we'll have to modify
debian/udeb/debian-installer-startup.d/S99qcontrol
and
debian/init.d
to disable the watchdog.

(Hmm, debian/init.d is currently run when the system has finished
booting; this may be too late to turn off the watchdog, e.g. if fsck
is running.)

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Thu, 15 Nov 2012 16:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Thu, 15 Nov 2012 16:33:08 GMT) Full text and rfc822 format available.

Message #27 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 693263@bugs.debian.org, Helmut Pozimski <helmut@pozimski.eu>
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Thu, 15 Nov 2012 16:29:51 +0000
On Thu, 2012-11-15 at 16:01 +0000, Martin Michlmayr wrote:
> QNAP has confirmed that this is the right command to disable the
> watchdog and that it's safe to send 0x67 to the PIC on older devices
> (simply nothing will happen).

Great, thanks for confirming this!

> In addition to Helmut's patch (thanks!), we'll have to modify
> debian/udeb/debian-installer-startup.d/S99qcontrol
> and
> debian/init.d
> to disable the watchdog.

Yes.

> (Hmm, debian/init.d is currently run when the system has finished
> booting; this may be too late to turn off the watchdog, e.g. if fsck
> is running.)

In Sid (where qcontrol has a proper daemon mode) we currently have two
initscripts, one runs early and starts the daemon, the other just
flashes the leds etc when the boot is complete.

Might need to add something similar to the package in Wheezy.

Ian.

-- 
Ian Campbell
Current Noise: Meat Loaf - Bat Out Of Hell

HOW YOU CAN TELL THAT IT'S GOING TO BE A ROTTEN DAY:
	#1040 Your income tax refund cheque bounces.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Thu, 15 Nov 2012 19:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Thu, 15 Nov 2012 19:09:05 GMT) Full text and rfc822 format available.

Message #32 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 693263@bugs.debian.org, Helmut Pozimski <helmut@pozimski.eu>
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Thu, 15 Nov 2012 19:06:07 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2012-11-15 at 16:29 +0000, Ian Campbell wrote:
> 
> > In addition to Helmut's patch (thanks!), we'll have to modify
> > debian/udeb/debian-installer-startup.d/S99qcontrol
> > and debian/init.d to disable the watchdog.
> 
> Yes. 

On second thoughts I'm not sure about the second one.

What actually starts the watchdog in the first place?

I was assuming it was the factory provided kernel/userspace, and that
the issue was that you booted the factory software, which starts the
watchdog and tickles it as necessary. But then you soft reboot into
debian-installer which leaves the watchdog running but unpoked => reset.
But then once you got it installed when you booted it under Debian
nothing would start the watchdog and everything would be ok.

Or is it the case that the factory provided *firmware* starts the
watchdog and therefore expects that the kernel and/or userspace needs to
keep poking it?

If it's the former then we only need
debian/udeb/debian-installer-startup.d/S99qcontrol. If it's the latter
then we need both as you say.

Ian.

-- 
Ian Campbell


No house is childproofed unless the little darlings are in straitjackets.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Thu, 15 Nov 2012 19:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Thu, 15 Nov 2012 19:33:08 GMT) Full text and rfc822 format available.

Message #37 received at 693263@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: 693263@bugs.debian.org, Helmut Pozimski <helmut@pozimski.eu>
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Thu, 15 Nov 2012 19:31:37 +0000
* Ian Campbell <ijc@hellion.org.uk> [2012-11-15 19:06]:
> Or is it the case that the factory provided *firmware* starts the
> watchdog and therefore expects that the kernel and/or userspace needs to
> keep poking it?

I'm not entirely sure since I don't have such a device, but I believe
the PIC itself is programmed so the watchdog is on unless you disable
it.

I might be wrong though.  Maybe Helmut can investigate.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Thu, 15 Nov 2012 20:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helmut Pozimski <helmut@pozimski.eu>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Thu, 15 Nov 2012 20:00:06 GMT) Full text and rfc822 format available.

Message #42 received at 693263@bugs.debian.org (full text, mbox):

From: Helmut Pozimski <helmut@pozimski.eu>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Ian Campbell <ijc@hellion.org.uk>, 693263@bugs.debian.org
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Thu, 15 Nov 2012 20:53:37 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 15.11.2012 20:31, schrieb Martin Michlmayr:
> * Ian Campbell <ijc@hellion.org.uk> [2012-11-15 19:06]:
>> Or is it the case that the factory provided *firmware* starts
>> the watchdog and therefore expects that the kernel and/or
>> userspace needs to keep poking it?
> 
> I'm not entirely sure since I don't have such a device, but I
> believe the PIC itself is programmed so the watchdog is on unless
> you disable it.
> 
> I might be wrong though.  Maybe Helmut can investigate.
I am not entirely sure about that but the linux-based system Qnap puts
on this device also just disables the watchdog in one of their init
scripts so at least it isn't enabled by the kernel or userspace
software. After doing a soft reboot, it will also be enabled again, so
either the boot loader on the device (uboot I believe) enables it or
(most likely) it is programmed to be enabled by default.

Qnap rather seems to rely on the other (second) watchdog which is also
present on the device, seems to use the orion_wdt module compiled into
their kernel and is fed by a userspace daemon called "qwatchdogd"
which uses the regular /dev/watchdog device.

Helmut
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iJwEAQECAAYFAlClSDwACgkQGPN+zM7FMNEqFQP+N2GY1G1f0Mwuia7NYsK+Vewn
o+Yyh4het6j14F551V+/L9U/fhe/ROQ8yIg+oGtbDQZkF6zs47ycrtAmISNxlhFv
00noPgj7t0rXoHGEvzDq/qtn8UT2EW/9cWHxsHNacCwNTAgTChvbm+dcgEtslLBI
hiXNCBxYM7Cius0i3YQ=
=5N25
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Fri, 16 Nov 2012 10:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Fri, 16 Nov 2012 10:27:02 GMT) Full text and rfc822 format available.

Message #47 received at 693263@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: 693263@bugs.debian.org, Helmut Pozimski <helmut@pozimski.eu>
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Fri, 16 Nov 2012 10:25:42 +0000
* Martin Michlmayr <tbm@cyrius.com> [2012-11-15 19:31]:
> I'm not entirely sure since I don't have such a device, but I believe
> the PIC itself is programmed so the watchdog is on unless you disable
> it.

Yes, it's on by default.

Also, there's currently no PIC control to keep the PIC watchdog alive.
You _have_ to turn it off using 0x67.

Here's QNAP rationale:

"Since the default watchdog function is disabled in Marvell SoC. It is
to prevent the system hang-up in uboot process. It will try to reboot
when system hang up in uboot, our kernel process will send the 0x67 to
PIC to disable the PIC's watchdog then enable the SoC's watchdog
function."

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Fri, 16 Nov 2012 10:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Fri, 16 Nov 2012 10:36:05 GMT) Full text and rfc822 format available.

Message #52 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 693263@bugs.debian.org, Helmut Pozimski <helmut@pozimski.eu>
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Fri, 16 Nov 2012 10:33:50 +0000
On Fri, 2012-11-16 at 10:25 +0000, Martin Michlmayr wrote:
> * Martin Michlmayr <tbm@cyrius.com> [2012-11-15 19:31]:
> > I'm not entirely sure since I don't have such a device, but I believe
> > the PIC itself is programmed so the watchdog is on unless you disable
> > it.
> 
> Yes, it's on by default.
> 
> Also, there's currently no PIC control to keep the PIC watchdog alive.
> You _have_ to turn it off using 0x67.
> 
> Here's QNAP rationale:
> 
> "Since the default watchdog function is disabled in Marvell SoC. It is
> to prevent the system hang-up in uboot process. It will try to reboot
> when system hang up in uboot, our kernel process will send the 0x67 to
> PIC to disable the PIC's watchdog then enable the SoC's watchdog
> function."

Thanks (and to Helmut too) for the confirmation. Unconditionally calling
qcontrol watchdog off as early as we can seems like a good idea then.

I'll look at doing this as soon as I have a chance.

Ian.
-- 
Ian Campbell

I did this 'cause Linux gives me a woody.  It doesn't generate revenue.
		-- Dave '-ddt->` Taylor, announcing DOOM for Linux




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Sun, 18 Nov 2012 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Sun, 18 Nov 2012 13:51:03 GMT) Full text and rfc822 format available.

Message #57 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 693263@bugs.debian.org, Helmut Pozimski <helmut@pozimski.eu>
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Sun, 18 Nov 2012 13:49:31 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2012-11-15 at 16:01 +0000, Martin Michlmayr wrote:
> (Hmm, debian/init.d is currently run when the system has finished
> booting; this may be too late to turn off the watchdog, e.g. if fsck
> is running.)

Actually it turns out that even an initscript which runs early cannot
run early enough since qcontrol lives in /usr/sbin and so requires
$remote_fs which in turns means it comes after fsck, which I think you
have correctly identified as the most likely cause of delays on boot
which might exceed the timeout.

I'm going to investigate adding the watchdog disablement as an initramfs
hook, doing it after mounting the rootfs but before switching to it.

Ian.
-- 
Ian Campbell


You can no more win a war than you can win an earthquake.
		-- Jeannette Rankin
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ian Campbell <ijc@hellion.org.uk>:
You have taken responsibility. (Tue, 20 Nov 2012 21:36:14 GMT) Full text and rfc822 format available.

Notification sent to Helmut Pozimski <helmut@pozimski.eu>:
Bug acknowledged by developer. (Tue, 20 Nov 2012 21:36:14 GMT) Full text and rfc822 format available.

Message #62 received at 693263-close@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: 693263-close@bugs.debian.org
Subject: Bug#693263: fixed in qcontrol 0.4.2+svn-r40-2
Date: Tue, 20 Nov 2012 21:32:35 +0000
Source: qcontrol
Source-Version: 0.4.2+svn-r40-2

We believe that the bug you reported is fixed in the latest version of
qcontrol, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693263@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Campbell <ijc@hellion.org.uk> (supplier of updated qcontrol package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 17 Nov 2012 12:08:50 +0000
Source: qcontrol
Binary: qcontrol qcontrol-udeb
Architecture: source armel
Version: 0.4.2+svn-r40-2
Distribution: sid
Urgency: low
Maintainer: Ian Campbell <ijc@hellion.org.uk>
Changed-By: Ian Campbell <ijc@hellion.org.uk>
Description: 
 qcontrol   - hardware control for QNAP Turbo Station devices
 qcontrol-udeb - hardware control for QNAP Turbo Station devices (udeb)
Closes: 689912 693263
Changes: 
 qcontrol (0.4.2+svn-r40-2) UNRELEASED; urgency=low
 .
   * Disable firmware watchdog on TS-219p II. (Closes: #693263)
   * Enable LCD on TS-419P II based on GPIO status. (Closes: #689912)
Checksums-Sha1: 
 c80ff4c92680b471972e3f44297f56946470bf8f 1991 qcontrol_0.4.2+svn-r40-2.dsc
 f00061e8c67fb995e918da0cb21aa76cf69cf208 12276 qcontrol_0.4.2+svn-r40-2.debian.tar.gz
 814d777c67ef9b464dc466aa275c583f52c4ca15 23108 qcontrol_0.4.2+svn-r40-2_armel.deb
 f34119f4a0d0b5c6bd63833e2b24f5c4fa02d2a4 60192 qcontrol-udeb_0.4.2+svn-r40-2_armel.udeb
Checksums-Sha256: 
 4a31ee91560d854ca9a189039ed04408b9c7340a83a6cd6c7649d294514d93f6 1991 qcontrol_0.4.2+svn-r40-2.dsc
 96af31e31e93b9c163bffc4dabeb60dec69f4c4d18dac0644d9032abe92d8147 12276 qcontrol_0.4.2+svn-r40-2.debian.tar.gz
 b220cc1722f79b6587b0829e5268ee69574e7078dcc544097f31b8f10ce160d7 23108 qcontrol_0.4.2+svn-r40-2_armel.deb
 2c69e866a41b8f1b0cd309ddbe40736114ee89d97f245af69b752c11e0a64db8 60192 qcontrol-udeb_0.4.2+svn-r40-2_armel.udeb
Files: 
 1b5321b90437110d7f97d2bccfd01f55 1991 utils optional qcontrol_0.4.2+svn-r40-2.dsc
 9ffdb6e38893e7386638fa7ec5730c52 12276 utils optional qcontrol_0.4.2+svn-r40-2.debian.tar.gz
 92138d44e830d1b4689d717fa94458c7 23108 utils optional qcontrol_0.4.2+svn-r40-2_armel.deb
 6e9177b1b753844e7e668cdaabbcc328 60192 debian-installer optional qcontrol-udeb_0.4.2+svn-r40-2_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQq/T1AAoJECouJZ9pWkbGIdgQAKWwbah5mH1fboupngWsMGOl
FdgTqL/KKL6Xop2d6Ef0SK7C3Rnk2jtDw6rjvgGieCwbhEfXv2tssNRE2ZyuN2dN
kezCqLdX2pcSV3j52DeLH6MpYIWjpeHNIAD3moHOrT18kBAgVWnc+vGCiQznSMXU
r7tJfZGpwDktYjbttZ4tMeU5loDl0i+TvyeO7TYZmRBLI4t/jGPyRjySK9FeepDX
9Yq72IWgbYG05pJDx7MijD2MIgXOwwi6TM44FK7UtwH+DPAMZhV7IlRBmQrbRgEe
153x4lpFXXsxEXjFwu2JmcrLyZWFMb7JCGgR3eNaotEN7wR3W1Fk7a0cpU56qd6b
jwVbyti4ugxdP1JtD2i9i1wuNWgaZ/GPT0+JbCl7usSX2kR8l8VtLPjBYNyHKP+7
6W1EtD7eGq4FOfdmBYZEej8tgbfUp8DONRwESxzn+1c0ANOntGp/JP2jS7lwnnnz
FAFu3jZnUmfTYz55C4tLBV8RmfAE8f2z2tMqOdtLi9PQuPDtPb0P1DdGKTLub9wO
cxLnTxSK01dLsuDJzy8KzFHY8dfx56RJWptz0m8v+L88dTtEWlS1bOmJJE8jm8gI
j/pre8kl2InK7q/HzjzpHohafFutuQzg5i7qM7GHJYfGpz1siKUrAqn8ytuzyy8u
U43/P0GevFO4uLZVpE2L
=wtnt
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Tue, 20 Nov 2012 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Tue, 20 Nov 2012 21:45:04 GMT) Full text and rfc822 format available.

Message #67 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 693263@bugs.debian.org, Helmut Pozimski <helmut@pozimski.eu>
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Tue, 20 Nov 2012 21:43:21 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2012-11-18 at 13:49 +0000, Ian Campbell wrote:
> I'm going to investigate adding the watchdog disablement as an
> initramfs hook, doing it after mounting the rootfs but before
> switching to it. 

This seems to work and I have uploaded 0.4.2+svn-r40-2 to sid including
this fix.

Helmut, if you could confirm this works for you that would be great
since I'd like to get a version of this fix into Wheezy if possible.

Ian.
-- 
Ian Campbell


"If value corrupts then absolute value corrupts absolutely."
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Wed, 21 Nov 2012 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Helmut Pozimski <helmut@pozimski.eu>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Wed, 21 Nov 2012 19:30:03 GMT) Full text and rfc822 format available.

Message #72 received at 693263@bugs.debian.org (full text, mbox):

From: Helmut Pozimski <helmut@pozimski.eu>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: Martin Michlmayr <tbm@cyrius.com>, 693263@bugs.debian.org
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Wed, 21 Nov 2012 20:27:04 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 20.11.2012 22:43, schrieb Ian Campbell:
Hi Ian,

> Helmut, if you could confirm this works for you that would be
> great since I'd like to get a version of this fix into Wheezy if
> possible.

just built and installed the package on my system and I can confirm
that it works as it's supposed to.

Helmut

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iJwEAQECAAYFAlCtKv4ACgkQGPN+zM7FMNHcCwP+IkofOtScXS/b6ZKsgAslNAO4
1cCXYMUmmXPm9gth+OY0+nLPqWM8YRLM/HqFKf9KRwaIP0RPsgfkGNuyvm9MYCWI
+ijDBKVRRq2q7zxJEV4cJOKjMMlJwX1XsjY+GzemiTqOaJ7o1wmsrui5OFKwBhGo
ANzrXTLLjsI3ZWd8IwI=
=rbii
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Thu, 22 Nov 2012 07:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Thu, 22 Nov 2012 07:51:06 GMT) Full text and rfc822 format available.

Message #77 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Helmut Pozimski <helmut@pozimski.eu>
Cc: Martin Michlmayr <tbm@cyrius.com>, 693263@bugs.debian.org
Subject: Re: Bug#693263: Please add support for disabling the PIC watchdog on TS-219p II
Date: Thu, 22 Nov 2012 07:49:19 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2012-11-21 at 20:27 +0100, Helmut Pozimski wrote:
> Am 20.11.2012 22:43, schrieb Ian Campbell:
> Hi Ian,
> 
> > Helmut, if you could confirm this works for you that would be
> > great since I'd like to get a version of this fix into Wheezy if
> > possible.
> 
> just built and installed the package on my system and I can confirm
> that it works as it's supposed to.

Great, thanks!

Ian.

-- 
Ian Campbell


Speak softly and carry a +6 two-handed sword.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'wishlist' Request was from Ian Campbell <ijc@hellion.org.uk> to control@bugs.debian.org. (Sat, 24 Nov 2012 20:51:02 GMT) Full text and rfc822 format available.

Reply sent to Ian Campbell <ijc@hellion.org.uk>:
You have taken responsibility. (Thu, 20 Dec 2012 20:51:08 GMT) Full text and rfc822 format available.

Notification sent to Helmut Pozimski <helmut@pozimski.eu>:
Bug acknowledged by developer. (Thu, 20 Dec 2012 20:51:08 GMT) Full text and rfc822 format available.

Message #84 received at 693263-close@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: 693263-close@bugs.debian.org
Subject: Bug#693263: fixed in qcontrol 0.4.2-7+wheezy1
Date: Thu, 20 Dec 2012 20:48:06 +0000
Source: qcontrol
Source-Version: 0.4.2-7+wheezy1

We believe that the bug you reported is fixed in the latest version of
qcontrol, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693263@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Campbell <ijc@hellion.org.uk> (supplier of updated qcontrol package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 20 Dec 2012 14:41:12 +0000
Source: qcontrol
Binary: qcontrol qcontrol-udeb
Architecture: source armel
Version: 0.4.2-7+wheezy1
Distribution: wheezy
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Ian Campbell <ijc@hellion.org.uk>
Description: 
 qcontrol   - hardware control for QNAP Turbo Station devices
 qcontrol-udeb - hardware control for QNAP Turbo Station devices (udeb)
Closes: 693263
Changes: 
 qcontrol (0.4.2-7+wheezy1) testing; urgency=low
 .
   * Disable firmware watchdog on TS-219p II and TS-419p II. (Closes: #693263)
Checksums-Sha1: 
 797cbd9eba49809fa3e982393838d2ec23075638 1962 qcontrol_0.4.2-7+wheezy1.dsc
 78005d89744cb1e2277484c2ea78b210e1a616bc 12981 qcontrol_0.4.2-7+wheezy1.diff.gz
 f5d01218233117446530f49af244567f0e22a037 19278 qcontrol_0.4.2-7+wheezy1_armel.deb
 e2e70f51f3fa9ad9e0afe76e721b300091c15e11 57350 qcontrol-udeb_0.4.2-7+wheezy1_armel.udeb
Checksums-Sha256: 
 73697de54e9d6aba1251e48a784d18e8e97e537caf2ab4c59e0d45799e974835 1962 qcontrol_0.4.2-7+wheezy1.dsc
 38dc6d01634cf99a08d5dfe89be31f4d2da41e3f6cc62deb701893eb2ce67132 12981 qcontrol_0.4.2-7+wheezy1.diff.gz
 3808f5a714aee3cb4a13d317104b848b888a196cc3f355765842ec47dc7d9aa6 19278 qcontrol_0.4.2-7+wheezy1_armel.deb
 3aeafd36b44c5d94b782c9d3c7b5fc4abf3f3f35d64cf9fe7203a1693eacb35f 57350 qcontrol-udeb_0.4.2-7+wheezy1_armel.udeb
Files: 
 461ee2fd8cdcff90dc2231c02f8d0362 1962 utils optional qcontrol_0.4.2-7+wheezy1.dsc
 2ebd6ad8dd00e0461cdc4f5fc63701ed 12981 utils optional qcontrol_0.4.2-7+wheezy1.diff.gz
 9cc1731e000bcdf3f1ba8b7441835019 19278 utils optional qcontrol_0.4.2-7+wheezy1_armel.deb
 a8ef315431f628f060987260b4171929 57350 debian-installer optional qcontrol-udeb_0.4.2-7+wheezy1_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ02yDAAoJECouJZ9pWkbGp4sQALrg5FVo/epiHIiyE5mgbEMN
yQktDDlxSxooJEZQrhxCHnA5YtdaSOljS7jpkGFWTp3mscAYEcaP5rpKwg2IpURP
mnE3/fw2JgwLVCeUgoY6Ac6RnqRziAlTfgLA9DYsh1SIykZsHwsapcyMbrxkqpPH
Yc8b5tMJMrhBUxT5vMu73ZES2DpNK4eoFmg8BTyetnBgB82eMq8neq1Sgk7OeOga
yPzTYNsPWr6xN9srJEPEp3TVp9gJz9Y+HxAz1+0mz1rY5jwQbMJPfDGEEwV839XA
iEEt6eS3z37pJGHmE/B/kr3SpmyJnRzHeyXkJxbD6ACIWvSpliLM7DjpuWJS2JRf
Vd4w2jYzU7caxdwjRywP2wdQgx73yQyyh0X+fwZkh7NjaN2R+I+OVTepNoJ6GLL7
YBowzMIBYRUu2nku+iFQZfA0wkUclN9rCnwuy2tWgx6/pFKsVq3Odj7wHkVRvZGn
bNdbzMwTZaP8z8D0gLI80qmjqB2D3BrFLtldIaGPgwWZKLxkMAWQzMeT5X4IdffU
VWrhEXIp0IYiOMtlmqy50wsmS+SuOTwcVjE7j61oQmHcrkGC1hMxk3+0TP2vzXGl
YdxAqXllQzc7oyXLdIUT8NvbSXKprDyzmyB1/qxzJxBNSd1vC4CUpVZQpif1CGWz
B2FxAtSNFy8L/3LXuhiT
=eHAL
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Sat, 29 Dec 2012 13:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hanno Hecker <hah+debian@uu-x.de>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Sat, 29 Dec 2012 13:51:06 GMT) Full text and rfc822 format available.

Message #89 received at 693263@bugs.debian.org (full text, mbox):

From: Hanno Hecker <hah+debian@uu-x.de>
To: Debian Bug Tracking System <693263@bugs.debian.org>
Subject: qcontrol: wheezy version of qcontrol does not support --direct
Date: Sat, 29 Dec 2012 14:36:59 +0100
Package: qcontrol
Followup-For: Bug #693263

Dear Maintainer,

the qcontrol initramfs script 
/usr/share/initramfs-tools/scripts/init-bottom/qcontrol tries to execute
  /sbin/qcontrol --direct watchdog off
but the wheezy version (0.4.2-7+wheezy1) does not know about the "--direct"
switch, so the script is pretty useless and the system reboots after 5 
minutes.
Installing the sid package (0.4.2+svn-r40-3) helped. 

HW is a QNAP TS-419 II.

	Hanno

-- System Information:
Debian Release: 7.0
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'testing')
Architecture: armel (armv5tel)

Kernel: Linux 3.2.0-4-kirkwood
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages qcontrol depends on:
ii  libc6        2.13-37
ii  liblua5.1-0  5.1.5-4
ii  udev         175-7

qcontrol recommends no packages.

qcontrol suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Sat, 29 Dec 2012 14:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Sat, 29 Dec 2012 14:27:07 GMT) Full text and rfc822 format available.

Message #94 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Hanno Hecker <hah+debian@uu-x.de>, 693263@bugs.debian.org
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Sat, 29 Dec 2012 14:20:20 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2012-12-29 at 14:36 +0100, Hanno Hecker wrote:
> the qcontrol initramfs script 
> /usr/share/initramfs-tools/scripts/init-bottom/qcontrol tries to execute
>   /sbin/qcontrol --direct watchdog off
> but the wheezy version (0.4.2-7+wheezy1) does not know about the "--direct"
> switch, so the script is pretty useless and the system reboots after 5 
> minutes.

Thanks for the report, I don't have any hardware with a watchdog which
has Debian installed just yet so I missed this during the backport.

Please could you try reinstalling 0.4.2-7+wheezy1 and replacing the
script with the attached version which uses the qcommand wrapper instead
of the current thing. Then run "update-initramfs -u" (I think this runs
flash-kernel automatically, if not you may need to do it by hand) and
reboot.

qcommand is probably right thing to use even in the Sid version,
although qcontrol --direct happens to work too. I also made it use
qcommand -t to check for supported hardware.

Ian.
-- 
Ian Campbell


An ounce of hypocrisy is worth a pound of ambition.
		-- Michael Korda
[init-bottom (application/x-shellscript, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Sat, 29 Dec 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Sat, 29 Dec 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #99 received at 693263@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Ian Campbell <ijc@hellion.org.uk>, 693263@bugs.debian.org
Cc: Hanno Hecker <hah+debian@uu-x.de>
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Sat, 29 Dec 2012 14:48:07 +0000
* Ian Campbell <ijc@hellion.org.uk> [2012-12-29 14:20]:
> qcommand is probably right thing to use even in the Sid version,

I believe qcommand only exists in the udeb, so this won't work.
Might be better to backport --direct instead.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Sat, 29 Dec 2012 15:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Sat, 29 Dec 2012 15:00:06 GMT) Full text and rfc822 format available.

Message #104 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 693263@bugs.debian.org, Hanno Hecker <hah+debian@uu-x.de>
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Sat, 29 Dec 2012 14:56:33 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2012-12-29 at 14:48 +0000, Martin Michlmayr wrote:
> * Ian Campbell <ijc@hellion.org.uk> [2012-12-29 14:20]:
> > qcommand is probably right thing to use even in the Sid version,
> 
> I believe qcommand only exists in the udeb, so this won't work.
> Might be better to backport --direct instead.

oops, I checked but I looked into the installed initrd instead of a
proper one. I was a bit surprised to see it there but I should have
double checked!

Backporting --direct is a lot of code. For wheezy I'd rather add
qcommand, or something equivalent, to the initramfs hooks.

Ian.

-- 
Ian Campbell


So far we've managed to avoid turning Perl into APL.  :-)
		-- Larry Wall in <199702251904.LAA28261@wall.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Sat, 29 Dec 2012 15:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Sat, 29 Dec 2012 15:36:03 GMT) Full text and rfc822 format available.

Message #109 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 693263@bugs.debian.org, Hanno Hecker <hah+debian@uu-x.de>
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Sat, 29 Dec 2012 15:32:36 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2012-12-29 at 14:48 +0000, Martin Michlmayr wrote:
> * Ian Campbell <ijc@hellion.org.uk> [2012-12-29 14:20]:
> > qcommand is probably right thing to use even in the Sid version,
> 
> I believe qcommand only exists in the udeb, so this won't work.
> Might be better to backport --direct instead.

One second thoughts this looks like a pretty small patch when isolated
from the big upstream resyncs. Let me investigate further.

Ian.

-- 
Ian Campbell


After 14 non-maintainer releases, I'm the S-Lang non-maintainer.
		-- Ray Dassen
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Mon, 31 Dec 2012 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Mon, 31 Dec 2012 08:15:03 GMT) Full text and rfc822 format available.

Message #114 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 693263@bugs.debian.org, Hanno Hecker <hah+debian@uu-x.de>
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Mon, 31 Dec 2012 08:12:33 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2012-12-29 at 14:48 +0000, Martin Michlmayr wrote:
> * Ian Campbell <ijc@hellion.org.uk> [2012-12-29 14:20]:
> > qcommand is probably right thing to use even in the Sid version,
> 
> I believe qcommand only exists in the udeb, so this won't work.
> Might be better to backport --direct instead.

This turned out to be relatively simple, thanks for the hint.

Hanno,

Could you try the packages at
http://www.hellion.org.uk/tmp/2012-12/qcontrol-0.4.2-7+wheezy2/ please.
It works in my limited testing.

sha256sums of everything:
c3f8e68429e4d8a37977bdd2c1e64224d1903b87573fe3a20582f6f4cea42ba1  qcontrol_0.4.2-7+wheezy2_armel.deb
d9ca6bd57baf60b8bd9e78cb65a2d9e7796cbb894103c12f6609aca9d7d7c793  qcontrol_0.4.2-7+wheezy2.diff.gz
c9e81241ab98bf28b62e8b42b4ecf2537ad59e3ede4abd9e374ccf6331d5b1ae  qcontrol_0.4.2-7+wheezy2.dsc
efe7311cdd460a51475d22f737540e7bb3c4303e5eba97b782d765c8f1e67055  qcontrol_0.4.2.orig.tar.gz
c7285db78aef1c0ed1346e2b100fd4cb8ae4a8d696f1e453974b132e37f1c089  qcontrol-udeb_0.4.2-7+wheezy2_armel.udeb

Ian.

diff -u qcontrol-0.4.2/debian/changelog qcontrol-0.4.2/debian/changelog
--- qcontrol-0.4.2/debian/changelog
+++ qcontrol-0.4.2/debian/changelog
@@ -1,3 +1,10 @@
+qcontrol (0.4.2-7+wheezy2) UNRELEASED; urgency=low
+
+  * Backport --direct support. This is needed to disable firmware watchdog from
+    initramfs. (Closes: #693263)
+
+ -- Ian Campbell <ijc@hellion.org.uk>  Sat, 29 Dec 2012 15:09:07 +0000
+
 qcontrol (0.4.2-7+wheezy1) testing; urgency=low
 
   * Disable firmware watchdog on TS-219p II and TS-419p II. (Closes: #693263)
diff -u qcontrol-0.4.2/debian/patches/series qcontrol-0.4.2/debian/patches/series
--- qcontrol-0.4.2/debian/patches/series
+++ qcontrol-0.4.2/debian/patches/series
@@ -7,0 +8 @@
+direct.patch
diff -u qcontrol-0.4.2/debian/udeb/qcommand qcontrol-0.4.2/debian/udeb/qcommand
--- qcontrol-0.4.2/debian/udeb/qcommand
+++ qcontrol-0.4.2/debian/udeb/qcommand
@@ -15,29 +15,6 @@
 	[ "$1" = "-t" ] && exit 1 || exit 0 ;;
 esac
 
-# qcontrol should not be running already; silently exit
-[ -z "$(pidof qcontrol)" ] || exit 0
-
-SOCKET=/var/run/qcontrol.sock
-
-qcontrol_start() {
-	rm -f $SOCKET
-	qcontrol -d >/dev/null &
-	# allow time to startup (read config)
-	sleep 1
-	pid=$(pidof qcontrol)
-
-	if [ "$pid" ]; then
-		if [ -S $SOCKET ]; then
-			echo $pid
-			return 0
-		else
-			kill -TERM $pid
-		fi
-	fi
-	return 1
-}
-
 # The gpio_keys character device is required with the default
 # Debian configuration file.
 test_event_dev() {
@@ -53,12 +30,7 @@
 
 test_event_dev || exit 0
-if pid=$(qcontrol_start); then
-	# Returns 1 even on success
-	qcontrol "$@" || true
 
-	# Kill the control process
-	kill -TERM $pid
-	rm -f $SOCKET
-fi
+# Returns 1 even on success (TODO: is that still true?)
+qcontrol --direct "$@" || true
 
 exit 0
only in patch2:
unchanged:
--- qcontrol-0.4.2.orig/debian/patches/direct.patch
+++ qcontrol-0.4.2/debian/patches/direct.patch
@@ -0,0 +1,15 @@
+Index: qcontrol/qcontrol.c
+===================================================================
+--- qcontrol.orig/qcontrol.c	2012-12-29 15:07:43.000000000 +0000
++++ qcontrol/qcontrol.c	2012-12-29 15:09:49.000000000 +0000
+@@ -440,6 +440,10 @@
+ 		/* Startup in daemon mode */
+ 		pic_lua_setup(&lua);
+ 		return network_listen();
++	} else if (argc > 2 && strcmp(argv[1], "--direct") == 0) {
++		/* Execute a single command and terminate */
++		pic_lua_setup(&lua);
++		return run_command(argv[2], argc - 3, argv + 3);
+ 	} else if (argc > 1) {
+ 		/* Send the command to the server */
+ 		return network_send(argc - 1, argv + 1);

-- 
Ian Campbell


To the systems programmer, users and applications serve only to provide a
test load.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Tue, 01 Jan 2013 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hanno Hecker <hah+debian@uu-x.de>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Tue, 01 Jan 2013 09:39:04 GMT) Full text and rfc822 format available.

Message #119 received at 693263@bugs.debian.org (full text, mbox):

From: Hanno Hecker <hah+debian@uu-x.de>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: Martin Michlmayr <tbm@cyrius.com>, 693263@bugs.debian.org, Hanno Hecker <hah+debian@uu-x.de>
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Tue, 1 Jan 2013 10:37:17 +0100
On Mon, 31 Dec 2012 08:12:33 +0000
Ian Campbell <ijc@hellion.org.uk> wrote:

> On Sat, 2012-12-29 at 14:48 +0000, Martin Michlmayr wrote:

> > Might be better to backport --direct instead.
> 
> This turned out to be relatively simple, thanks for the hint.
> 
> Hanno,
> 
> Could you try the packages at
> http://www.hellion.org.uk/tmp/2012-12/qcontrol-0.4.2-7+wheezy2/ please.
> It works in my limited testing.
I'm not sure what happened, but I had to use the recovery boot to get a
running system again. The watchdog did not trigger, so it stayed up,
but it did not boot full, IIRC the only open port was 111/tcp
(portmapper). No fsck was running.

Running the binary from the command line works fine.

Martin: This is a new TS-419P II, the "filename" in the DHCP config
must begin with "F_TS-419P2+". "strings mtd4" file did not show
anything useful, but this name was requested via DHCP, visible in
"tcpdump -vv".

	Hanno



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Tue, 01 Jan 2013 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hanno Hecker <hah+debian@uu-x.de>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Tue, 01 Jan 2013 12:21:03 GMT) Full text and rfc822 format available.

Message #124 received at 693263@bugs.debian.org (full text, mbox):

From: Hanno Hecker <hah+debian@uu-x.de>
To: Hanno Hecker <hah+debian@uu-x.de>
Cc: Ian Campbell <ijc@hellion.org.uk>, Martin Michlmayr <tbm@cyrius.com>, 693263@bugs.debian.org
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Tue, 1 Jan 2013 13:18:52 +0100
On Tue, 1 Jan 2013 10:37:17 +0100
Hanno Hecker <hah+debian@uu-x.de> wrote:
> I'm not sure what happened, but I had to use the recovery boot to get a
> running system again. The watchdog did not trigger, so it stayed up,
> but it did not boot full, IIRC the only open port was 111/tcp
> (portmapper). No fsck was running.
I gave it another try, this time with dropbear in the initrd, same
problem... and dropbear seems to be started too late for this, i.e. I
could not connect to port 22.

	Hanno



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Wed, 02 Jan 2013 17:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Wed, 02 Jan 2013 17:21:06 GMT) Full text and rfc822 format available.

Message #129 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Hanno Hecker <hah+debian@uu-x.de>
Cc: Martin Michlmayr <tbm@cyrius.com>, 693263@bugs.debian.org
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Wed, 02 Jan 2013 17:19:53 +0000
On Tue, 2013-01-01 at 13:18 +0100, Hanno Hecker wrote:
> On Tue, 1 Jan 2013 10:37:17 +0100
> Hanno Hecker <hah+debian@uu-x.de> wrote:
> > I'm not sure what happened, but I had to use the recovery boot to get a
> > running system again. The watchdog did not trigger, so it stayed up,
> > but it did not boot full, IIRC the only open port was 111/tcp
> > (portmapper). No fsck was running.
> I gave it another try, this time with dropbear in the initrd, same
> problem... and dropbear seems to be started too late for this, i.e. I
> could not connect to port 22.

I'm at a bit of a loss to explain this one, especially since the sid
version apparently works OK (the initramfs hooks are identical between
the test version and sid).

Is there any chance that the issue comes from regenerating the initramfs
and not specifically from the qcontrol change? Can you try regenerating
the initramfs without actually changing qcontrol?

I'm going to try and dig out an old SATA drive that I can stick in my
419PII so I can experiment without moving my actual production NAS over.
Might take me a while to find one though (I recently recycled all my old
disks, doh!).

What method did you use to get dropbear into your initrd? It might be
worth editing /usr/share/initramfs-tools/hooks/qcontrol and adding
dropbear as a prereq to ensure it gets run first? (you'll need to regen
the initramfs after)

If you unpack the initrd then you should find /scripts/init-bottom/ORDER
lists the order things will happen in.

Going one step further and adding "exit 0" to the top
of /usr/share/initramfs-tools/scripts/init-bottom/qcontrol and
regenerating the initramfs. Hopefully that will stop it interfering with
dropbear!

Ian.
-- 
Ian Campbell
Current Noise: Fu Manchu - Downtown In Dogtown

* knghtbrd can already envision:  "Subject: [INTENT TO PREPARE TO PROPOSE
   FILING OF BUG REPORT] Typos in the policy document"




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Thu, 03 Jan 2013 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Thu, 03 Jan 2013 10:21:03 GMT) Full text and rfc822 format available.

Message #134 received at 693263@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: Hanno Hecker <hah+debian@uu-x.de>, 693263@bugs.debian.org
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Thu, 3 Jan 2013 10:17:15 +0000
I just installed the test package on my TS-219 (which doesn't have the
watchdog problem).

The device booted fine but I saw the following error:
| Error opening /dev/input/by-path/platform-gpio-keys-event: No such file or directory
which makes me wonder whether qcontrol was really executed properly.

Hanno: can you make a serial adapter and connect it to your QNAP?
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Thu, 03 Jan 2013 10:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Thu, 03 Jan 2013 10:21:05 GMT) Full text and rfc822 format available.

Message #139 received at 693263@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Hanno Hecker <hah+debian@uu-x.de>
Cc: Ian Campbell <ijc@hellion.org.uk>, 693263@bugs.debian.org
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Thu, 3 Jan 2013 10:19:42 +0000
* Hanno Hecker <hah+debian@uu-x.de> [2013-01-01 10:37]:
> Martin: This is a new TS-419P II, the "filename" in the DHCP config
> must begin with "F_TS-419P2+". "strings mtd4" file did not show
> anything useful, but this name was requested via DHCP, visible in
> "tcpdump -vv".

Fixed, thanks!

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Thu, 03 Jan 2013 10:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Thu, 03 Jan 2013 10:45:09 GMT) Full text and rfc822 format available.

Message #144 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Hanno Hecker <hah+debian@uu-x.de>, 693263@bugs.debian.org
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Thu, 03 Jan 2013 10:44:04 +0000
On Thu, 2013-01-03 at 10:17 +0000, Martin Michlmayr wrote:
> I just installed the test package on my TS-219 (which doesn't have the
> watchdog problem).
> 
> The device booted fine but I saw the following error:
> | Error opening /dev/input/by-path/platform-gpio-keys-event: No such file or directory
> which makes me wonder whether qcontrol was really executed properly.

Yes, this is interesting. What's odd is that the box apparently doesn't
reboot when this happens. If qcontrol wasn't executing then I would
expect that it would (eventually). Did the boot complete for you though?

Hanno -- do you have the evdev.ko in your initrd? I bet not since I
can't see any way it would get put there.

Even with this failure there are enough "exit 0" and "|| true"s in the
initramfs script that it shouldn't cause an eventual failure to boot.

Adding a file_exists function (e.g. based on
http://stackoverflow.com/questions/4990990/lua-check-if-a-file-exists)
to /etc/qcontrol.conf and using it to conditionalise the:
        register("evdev", "/dev/input/by-path/platform-gpio-keys-event"
ought to make this particular issue go away.

However if Hanno isn't seeing a watchdog initiated reboot then there
must also be something else going on.

> Hanno: can you make a serial adapter and connect it to your QNAP?

I've got the bits for one but I've been procrastinating pretty
spectacularly because I always end up burning myself when I try to
solder...

Ian.
-- 
Ian Campbell
Current Noise: High On Fire - Master Of Fists

panic: kernel trap (ignored)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Sat, 05 Jan 2013 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Sat, 05 Jan 2013 20:09:03 GMT) Full text and rfc822 format available.

Message #149 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Hanno Hecker <hah+debian@uu-x.de>, 693263@bugs.debian.org
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Sat, 05 Jan 2013 20:04:14 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2013-01-03 at 10:17 +0000, Martin Michlmayr wrote:
> The device booted fine but I saw the following error:
> | Error opening /dev/input/by-path/platform-gpio-keys-event: No such file or directory
> which makes me wonder whether qcontrol was really executed properly.

I finally found an old disk (it's dying but that doesn't matter for
testing this bug) and put it in my TS-419P2+.

Installing the qcontrol_0.4.2-7+wheezy2_armel.deb I posted earlier in
this bug worked fine for me. The gpio-keys-event error was there but it
is benign (I've checked the qcontrol code now to confirm).

Hanno, I'm afraid don't know what is causing your boot failures but I
don't think it is related to the new qcontrol package :-(

> Hanno: can you make a serial adapter and connect it to your QNAP?

A few things I tried while diagnosing this today:

netconsole, add the following to /etc/initramfs-tools/modules:
        mv643xx_eth
        netconsole netconsole=@<TS-IP>/eth0,@<TGT-IP>/<TGT-MAC>

Where <TS-IP> is the IP address of your TS-419, and <TGT-IP> and
<TGT-MAC> are the IP and MAC of another machine on your network. Run
"update-initramfs -u". On the TGT machine run "netcat -u -l -p 6666"
then reboot the TS-419, you should see the kernel logs (but
unfortunately not the userspace logs from the initramfs). More info on
the syntax at
http://www.kernel.org/doc/Documentation/networking/netconsole.txt

The other thing I tried was to edit /usr/share/initramfs-tools/init like
so:
 # Parse command line options
-for x in $(cat /proc/cmdline); do
+for x in $(cat /proc/cmdline) debug; do

This pretends that "debug" was passed on the command line. Then you get
a pretty full log in /run/initramfs/initramfs.debug, but only if the
system actually boots (so not that much use here...).

So then I edited /usr/share/initramfs-tools/init again and changed it
like this (under the handling of the debug option):
         debug)
                 debug=y
                 quiet=n
-                exec >/run/initramfs/initramfs.debug 2>&1
+                exec >/dev/kmsg 2>&1
                 set -x
                 ;;

IOW I redirected the initramfs debugging to the kernel log, i.e. to
netconsole. Now you should get pretty verbose debugging on the netcat on
the other machine. At least for me it starts around local-premount. I
hope this helps!

Ian.

-- 
Ian Campbell


In matters of principle, stand like a rock;
in matters of taste, swim with the current.
		-- Thomas Jefferson
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Ian Campbell <ijc@hellion.org.uk> to control@bugs.debian.org. (Sat, 05 Jan 2013 20:39:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions qcontrol/0.4.2+svn-r40-2 and qcontrol/0.4.2-7+wheezy1. Request was from Ian Campbell <ijc@hellion.org.uk> to control@bugs.debian.org. (Sat, 05 Jan 2013 20:39:03 GMT) Full text and rfc822 format available.

Marked as found in versions qcontrol/0.4.2-7. Request was from Ian Campbell <ijc@hellion.org.uk> to control@bugs.debian.org. (Sat, 05 Jan 2013 20:39:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions qcontrol/0.4.2+svn-r40-2. Request was from Ian Campbell <ijc@hellion.org.uk> to control@bugs.debian.org. (Sat, 05 Jan 2013 21:30:06 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Ian Campbell <ijc@hellion.org.uk> to control@bugs.debian.org. (Sat, 05 Jan 2013 21:30:06 GMT) Full text and rfc822 format available.

Notification sent to Helmut Pozimski <helmut@pozimski.eu>:
Bug acknowledged by developer. (Sat, 05 Jan 2013 21:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Sun, 06 Jan 2013 06:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hanno Hecker <hah+debian@uu-x.de>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Sun, 06 Jan 2013 06:48:03 GMT) Full text and rfc822 format available.

Message #166 received at 693263@bugs.debian.org (full text, mbox):

From: Hanno Hecker <hah+debian@uu-x.de>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: Martin Michlmayr <tbm@cyrius.com>, Hanno Hecker <hah+debian@uu-x.de>, 693263@bugs.debian.org
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Sun, 6 Jan 2013 07:48:04 +0100
[Message part 1 (text/plain, inline)]
On Sat, 05 Jan 2013 20:04:14 +0000
Ian Campbell <ijc@hellion.org.uk> wrote:
> Hanno, I'm afraid don't know what is causing your boot failures but I
> don't think it is related to the new qcontrol package :-(
No, it's not related to qcontrol: 

> A few things I tried while diagnosing this today:
> 
> netconsole, add the following to /etc/initramfs-tools/modules:
>         mv643xx_eth
>         netconsole netconsole=@<TS-IP>/eth0,@<TGT-IP>/<TGT-MAC>
[...]
> The other thing I tried was to edit /usr/share/initramfs-tools/init like
> so:
>  # Parse command line options
> -for x in $(cat /proc/cmdline); do
> +for x in $(cat /proc/cmdline) debug; do
[...]
> So then I edited /usr/share/initramfs-tools/init again and changed it
> like this (under the handling of the debug option):
>          debug)
>                  debug=y
>                  quiet=n
> -                exec >/run/initramfs/initramfs.debug 2>&1
> +                exec >/dev/kmsg 2>&1
>                  set -x
>                  ;;
> 
> IOW I redirected the initramfs debugging to the kernel log, i.e. to
> netconsole. Now you should get pretty verbose debugging on the netcat on
> the other machine. At least for me it starts around local-premount. I
> hope this helps!
OK, done that. Now I can confirm that it's not qcontrol related:
[   27.774712] + /scripts/init-bottom/qcontrol
[   27.791290] Error opening
/dev/input/by-path/platform-gpio-keys-event: No such file or
directory
[   27.805451] + [ -e /conf/param.conf ] 
[   27.805780] + . /conf/param.conf 
[   27.806024] +
ROOT=/dev/disk/by-uuid/de81f811-fbe8-4d12-b969-f5c71e1fecfb
[   27.806196] + /scripts/init-bottom/udev

... full boot log is attached, there you can see it stops while / after
installing knfsd. After that, nothing happens for >= 10 minutes (and
then I rebootet).
On a normal boot, the only messages after "Installing knfsd" are:
[   39.285206] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[   42.878783] NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state
recovery directory
[   42.890269] NFSD: starting 90-second grace period

But two things remain:
* why does this only happen while I use the wheezy2 package? I've
  rebuilt the initramfs now ~10 times with this, with the wheezy1 and
  the sid version this never happened (and those were always generated,
  I've used the deb installer for recvovery).
* should udev start before qcontrol and should evdev.ko be in the
  modules list? or does qcontrol switch the watchdog off w/o it? it
  seems like it works without it...

	Hanno
 

[qcontrol-wheezy2.boot.log.gz (application/x-gzip, attachment)]
[qcontrol-sid.boot.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Sun, 06 Jan 2013 09:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Sun, 06 Jan 2013 09:45:08 GMT) Full text and rfc822 format available.

Message #171 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Hanno Hecker <hah+debian@uu-x.de>
Cc: Martin Michlmayr <tbm@cyrius.com>, 693263@bugs.debian.org
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Sun, 06 Jan 2013 09:37:25 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2013-01-06 at 07:48 +0100, Hanno Hecker wrote:

> ... full boot log is attached, there you can see it stops while / after
> installing knfsd.

My kernel log stops then as well. I think it is just because all further
output is from the proper userspace and isn't going to the kernel logs.

>  After that, nothing happens for >= 10 minutes (and
> then I rebootet).
> On a normal boot, the only messages after "Installing knfsd" are:
> [   39.285206] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
> [   42.878783] NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state
> recovery directory
> [   42.890269] NFSD: starting 90-second grace period

I don't get these, but I haven't setup nfs export on this device.

> But two things remain:
> * why does this only happen while I use the wheezy2 package? I've
>   rebuilt the initramfs now ~10 times with this, with the wheezy1 and
>   the sid version this never happened (and those were always generated,
>   I've used the deb installer for recvovery).

Just to be clear, you've rebuilt the wheezy1 and sid versions multiple
time as well?

I suppose something, probably an initscript, is getting blocked
somewhere. The easiest way to diagnose this would be to acquire/build a
serial console connector as described in
http://www.cyrius.com/debian/kirkwood/qnap/ts-41x/serial.html FWIW I
bought http://proto-pic.co.uk/rs232-shifter-smd/ and
http://proto-pic.co.uk/jst-jumper-4-wire-assembly/ but never got round
to actually building it.

I suppose there might be something visible in /var/log after you recover
from a failed boot, worth having a scrobble around at least.

You could try the /dev/kmsg trick e.g. at the top of /etc/init.d/rc but
I wouldn't be 100% confident of it working and if it break things it
won't be recoverable with a recovery image (sine it is on the disk not
flash), in which case you would need to use d-i as a rescue disk or put
the disk in another system.

> * should udev start before qcontrol and should evdev.ko be in the
>   modules list? or does qcontrol switch the watchdog off w/o it? it
>   seems like it works without it...

evdev.ko is only needed to handle button presses, the watchdog
functionality works without it.

Ian.

-- 
Ian Campbell


The more cordial the buyer's secretary, the greater the odds that the
competition already has the order.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Campbell <ijc@hellion.org.uk>:
Bug#693263; Package qcontrol. (Sun, 06 Jan 2013 15:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hanno Hecker <hah+debian@uu-x.de>:
Extra info received and forwarded to list. Copy sent to Ian Campbell <ijc@hellion.org.uk>. (Sun, 06 Jan 2013 15:21:08 GMT) Full text and rfc822 format available.

Message #176 received at 693263@bugs.debian.org (full text, mbox):

From: Hanno Hecker <hah+debian@uu-x.de>
To: Ian Campbell <ijc@hellion.org.uk>
Cc: Hanno Hecker <hah+debian@uu-x.de>, Martin Michlmayr <tbm@cyrius.com>, 693263@bugs.debian.org
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Sun, 6 Jan 2013 16:23:42 +0100
On Sun, 06 Jan 2013 09:37:25 +0000
Ian Campbell <ijc@hellion.org.uk> wrote:

> On Sun, 2013-01-06 at 07:48 +0100, Hanno Hecker wrote:
> > * why does this only happen while I use the wheezy2 package? I've
> >   rebuilt the initramfs now ~10 times with this, with the wheezy1 and
> >   the sid version this never happened (and those were always generated,
> >   I've used the deb installer for recvovery).
> 
> Just to be clear, you've rebuilt the wheezy1 and sid versions multiple
> time as well?
Yes, wheezy1 one time and sid at every other time, I've never used an
old image to rescue the system, always the squeeze debian-installer
image. From there I've mounted the required FSs and "dpkg -i
qcontrol_0.4.2+svn-r40-3_armel.deb" to install the sid package and
rebuild the initrd.

> I suppose something, probably an initscript, is getting blocked
> somewhere. The easiest way to diagnose this would be to acquire/build a
> serial console connector as described in
I've tried to avoid it :)

> I suppose there might be something visible in /var/log after you recover
> from a failed boot, worth having a scrobble around at least.
> 
> You could try the /dev/kmsg trick e.g. at the top of /etc/init.d/rc but
> I wouldn't be 100% confident of it working and if it break things it
> won't be recoverable with a recovery image (sine it is on the disk not
> flash), in which case you would need to use d-i as a rescue disk or put
> the disk in another system.
No problem with d-i as rescue, it's the only one I've used so far ;-)
I'll give it a try when there's some spare time to do this. On the
ohter hand... I'm happy with the sid version, so I can use my LCD with a
nice self-built menu .)

> > * should udev start before qcontrol and should evdev.ko be in the
> >   modules list? or does qcontrol switch the watchdog off w/o it? it
> >   seems like it works without it...
> 
> evdev.ko is only needed to handle button presses, the watchdog
> functionality works without it.
OK, then I can confirm the wheezy2 version fixes the bug and I'll
probably have to open another bug when I know which part of the
system blocks the boot :) 

	Hanno



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Sun, 06 Jan 2013 15:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Sun, 06 Jan 2013 15:57:06 GMT) Full text and rfc822 format available.

Message #181 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Hanno Hecker <hah+debian@uu-x.de>
Cc: Martin Michlmayr <tbm@cyrius.com>, 693263@bugs.debian.org
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Sun, 06 Jan 2013 15:52:14 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2013-01-06 at 16:23 +0100, Hanno Hecker wrote:
> 
> > > * should udev start before qcontrol and should evdev.ko be in the
> > >   modules list? or does qcontrol switch the watchdog off w/o it?
> it
> > >   seems like it works without it...
> > 
> > evdev.ko is only needed to handle button presses, the watchdog
> > functionality works without it.
> OK, then I can confirm the wheezy2 version fixes the bug

Thanks. I'll prepare an upload and unblock request shortly.

>  and I'll
> probably have to open another bug when I know which part of the
> system blocks the boot :) 

Yes, that is probably best.

Thanks,
Ian.

-- 
Ian Campbell


The girl who remembers her first kiss now has a daughter who can't even
remember her first husband.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#693263; Package qcontrol. (Wed, 09 Jan 2013 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Campbell <ijc@hellion.org.uk>:
Extra info received and forwarded to list. (Wed, 09 Jan 2013 10:27:03 GMT) Full text and rfc822 format available.

Message #186 received at 693263@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: Hanno Hecker <hah+debian@uu-x.de>
Cc: Martin Michlmayr <tbm@cyrius.com>, 693263@bugs.debian.org
Subject: Re: Bug#693263: qcontrol: wheezy version of qcontrol does not support --direct
Date: Wed, 09 Jan 2013 10:23:01 +0000
On Sun, 2013-01-06 at 07:48 +0100, Hanno Hecker wrote:
> 
> * why does this only happen while I use the wheezy2 package? I've
>   rebuilt the initramfs now ~10 times with this, with the wheezy1 and
>   the sid version this never happened (and those were always
> generated,
>   I've used the deb installer for recvovery). 

I've got a theory. You've been running the Sid version of qcontrol on
this machine. Do you by any chance still have an /etc/init.d/qcontrold
initscript, and associated links in /etc/rc?.d/ ?

This script is only in the sid version but because it is a conffile
won't be removed on downgrade. The script runs "qcontrol -d". The effect
of running it that no the Wheezy version of qcontrol (0.4.2-7 and
+wheezy1 +wheezy2 etc) is that it runs in the foreground -- i.e. it will
block the remainder of the boot.

This seems like a pretty likely candidate for the issue you are seeing.

Debian as a rule doesn't support package downgrades and it is
unfortunate that the Wheezy version and Sid version treat -d so
differently (an upstream change). I'll see if I can think of a
workaround to make this safer.

In the meantime I bet adding "exit 0" to the top
of /etc/init.d/qcontrold will allow you to use the +wheezy2 package.

Ian.
-- 
Ian Campbell
Current Noise: High On Fire - Blood from Zion (1999 Demo)

Holiday and other blackout periods apply.




Reply sent to Ian Campbell <ijc@hellion.org.uk>:
You have taken responsibility. (Tue, 22 Jan 2013 08:51:03 GMT) Full text and rfc822 format available.

Notification sent to Helmut Pozimski <helmut@pozimski.eu>:
Bug acknowledged by developer. (Tue, 22 Jan 2013 08:51:03 GMT) Full text and rfc822 format available.

Message #191 received at 693263-close@bugs.debian.org (full text, mbox):

From: Ian Campbell <ijc@hellion.org.uk>
To: 693263-close@bugs.debian.org
Subject: Bug#693263: fixed in qcontrol 0.4.2-7+wheezy2
Date: Tue, 22 Jan 2013 08:47:29 +0000
Source: qcontrol
Source-Version: 0.4.2-7+wheezy2

We believe that the bug you reported is fixed in the latest version of
qcontrol, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693263@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Campbell <ijc@hellion.org.uk> (supplier of updated qcontrol package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 06 Jan 2013 17:25:22 +0000
Source: qcontrol
Binary: qcontrol qcontrol-udeb
Architecture: source armel
Version: 0.4.2-7+wheezy2
Distribution: wheezy
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Ian Campbell <ijc@hellion.org.uk>
Description: 
 qcontrol   - hardware control for QNAP Turbo Station devices
 qcontrol-udeb - hardware control for QNAP Turbo Station devices (udeb)
Closes: 693263
Changes: 
 qcontrol (0.4.2-7+wheezy2) testing; urgency=low
 .
   * Backport --direct support, this is needed by the watchdog fix in the
     previous release. (Closes: #693263)
Checksums-Sha1: 
 ac4bade76cbacb39af079ac91d264133b8eb7624 1962 qcontrol_0.4.2-7+wheezy2.dsc
 aa635d67d6c4bef1033fee45b6bc42a212b3f073 13106 qcontrol_0.4.2-7+wheezy2.diff.gz
 b2460c645e7eae0e16e97413cefb4d14cd07e532 19392 qcontrol_0.4.2-7+wheezy2_armel.deb
 c49a67f305e8f1451e793ca66afcc19094c3c33a 57478 qcontrol-udeb_0.4.2-7+wheezy2_armel.udeb
Checksums-Sha256: 
 b81ae17744a1eaedc720b2cf106720e54bdb67353e6402c57daca2bef9af8d31 1962 qcontrol_0.4.2-7+wheezy2.dsc
 9b42b2909e3bd55d406c5b4584b90c36bf8546694756679fe0c5313b151b2c93 13106 qcontrol_0.4.2-7+wheezy2.diff.gz
 008a51f3dee04b151c56f59b3c8010b7bc16b0d2107b31599def41a305e0a8bc 19392 qcontrol_0.4.2-7+wheezy2_armel.deb
 39cdc8996bfac258ea1ce763afc00ab35d0325473a51aa68604972824501afcd 57478 qcontrol-udeb_0.4.2-7+wheezy2_armel.udeb
Files: 
 f56ef1f99cd03489ee004d49487baa36 1962 utils optional qcontrol_0.4.2-7+wheezy2.dsc
 6773a5d7f7db9584ec3e55c20433f2e5 13106 utils optional qcontrol_0.4.2-7+wheezy2.diff.gz
 b1aae7cb6a6aa6bd4685fd7832a59948 19392 utils optional qcontrol_0.4.2-7+wheezy2_armel.deb
 49a0734941eb4ac2ad47d14fb9283fcf 57478 debian-installer optional qcontrol-udeb_0.4.2-7+wheezy2_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ6dSlAAoJECouJZ9pWkbGPrYP/1l2Iftea9vdKRnHAdVHIV4C
bQF5WvR7zKyQb61uEq023QGE8CXzzyYL8xHxt3AdqxT/Q6ULlEMuPpwUHWR7qoGx
jaEkevIqxc/qFLp4VpOXL9td3VO8Z7nkrQM6JZH7AZuRU5C8q56xfqiy59YfrqGF
GOfsbhsLaPyiGDtgCsvtUtGkG1RpzfVuKdsJimOFB5KMjtyIFbAycB7Feamn1gTt
zMGQIoBHP/ik/UGrlV/syjybFVWAi0t1JGmuAdTkbfIbWP+bgxFbedTo292g1ynn
ScIVUSEMu4wz19yF4+AgdzSd46Jg+plxJQ6/TqSY8UXI+H9UFgUh3/YpiK4yRlCA
FTpIupQ/5VJ01wmBTrzmz5hDo7tcf7SYD1oc9sxB1xwSHU8OtUYJe1fBiFB4QyBY
Llgux1bHHJNVUkDAtFBszFQqY6OLLTlPA5Y0UkUIHGV0ysgbapaLQt22M7+NrqCW
CUOZ4yUxwxKnTV8J5PCsZzXXJHmv/YrTGoG1g/yu6CYB9wq2ST6VTiT3t/ziV7re
w7wJMp9KzE6Nk+lyWTT3Knv4aPEvxR6IuaFdjsgxPLQ5asL1UEN/vC6Qdp65T21R
DB/FClUWwxVRfkP4XmkOujx3ZFSINyrLdIxX63nTN7ioYBZtu3q5jJsKit11mH7h
jR27LVptQRm/2O5Na5MJ
=s2xt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 20 Feb 2013 07:28:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:03:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.